@import "~bootstrap/dist/css/bootstrap.css";
@import "~@angular/material/prebuilt-themes/indigo-pink.css";

@font-face {
  font-family: 'Myriad_Pro_Regular';
  src: url("/assets/fonts/Myriad_Pro_Regular.ttf");
  font-weight: normal;
  font-style: normal;
}

body {
  font-size: 14px;
  font-family: Myriad_Pro_Regular, Arial, serif;
  background-color: #ededed;
  color: #545454;
}

.flex-1 {
  flex: 1;
}

app-root {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.page--header-title {
  min-height: 60px;
  background-color: #393d56;
  word-break: break-word;
}

.page--header-title h1 {
  font-size: 30px;
  text-align: center;
  color: #fff;
}

.dialog--header-title h1 {
  font-size: 30px;
  text-align: center;
}

.main-wrapper {
  width: 450px;
  margin: auto;
  display: flex;
  flex-direction: column;
}

.w-80 {
  width: 80% !important;
}

.w-20 {
  width: 20% !important;
}

.block-title {
  font-size: 20px;
  font-weight: 600;
}

.hide-scroll {
  overflow-y: hidden;
  overflow-x: hidden;
}

.spending-color {
  color: #e51c23;
}

.income-color {
  color: #039be5;
}

.cursor-pointer {
  cursor: pointer;
}

.color-gray {
  color: gray;
}

.currency-text {
  font-weight: 600 !important;
}

.gray-notice {
  color: gray;
  font-size: 20px;
}

#statistic-dialog, #create-change-dialog, #update-change-dialog,
#update-wallet-dialog, #adjust-balance-wallet-dialog, #create-spend-limit-dialog, #update-spend-limit-dialog {
  width: 500px !important;
  padding: 10px;
}

#statistic-dialog {
  overflow-y: hidden;
  overflow-x: hidden;
  min-height: 500px;
}

#create-change-dialog, #update-change-dialog, #update-wallet-dialog,
#adjust-balance-wallet-dialog, #create-spend-limit-dialog, #update-spend-limit-dialog {
  padding: 20px;
}

app-header {
  position: sticky;
  top: 0;
}

@media (max-width: 450px) {
  .main-wrapper {
    width: 100%;
  }

  .page--header-title h1 {
    font-size: 25px;
  }

  #statistic-dialog, #create-change-dialog, #update-change-dialog,
  #update-wallet-dialog, #adjust-balance-wallet-dialog, #create-spend-limit-dialog, #update-spend-limit-dialog {
    width: 320px !important;
  }

  .date-picker-input {
    max-width: 120px;
  }
}
